Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io.diff
Interface ISVNDeltaGenerator

All Known Implementing Classes:
  SVNAllDeltaGenerator, SVNSequenceDeltaGenerator

public interface ISVNDeltaGenerator

ISVNDeltaGenerator is a common interface for different types of delta generators. It may be:

- a binary data delta generator (see `SVNAllDeltaGenerator`)
- a text delta generator (see `SVNSequenceDeltaGenerator`)

A general use of delta generators: calculating the Working Copy changes against base files during a commit.

Version:
  1.0
Author:
  TMate Software Ltd.

Method Summary
`void` | `generateDiffWindow(String commitPath, ISVNEditor consumer, ISVNRAData workFile, ISVNRAData baseFile)` Deprecated. use `SVNDeltaGenerator` instead

Method Detail

### generateDiffWindow

    public void generateDiffWindow(String commitPath,
                                   ISVNEditor consumer,
                                   ISVNRAData workFile,
                                   ISVNRAData baseFile)
                            throws SVNException

  Deprecated. use `SVNDeltaGenerator` instead

  Calculates differences between a working file and a base one and generates a diff window (windows).

  Actually, it may be more than just one diff window - if new data is too "weighty", a several smaller size delta chunks will be produced instead.

  `commitPath` is a relative path of the file on which the delta is calculated. Given the two versions of this file - the working one (`workFile`) and a base one (`baseFile`) - the method generates diff window(s) and provides it/them to the `consumer`. That is, on every diff window generated the method calls:

           OutputStream os = consumer.textDeltaChunk(commitPath, window);

  And then writes new text/binary data bytes to the received output stream.

  After providing all diff windows to the `consumer`, the method finishes with:

           consumer.textDeltaEnd(commitPath);

  Such is the common behaviour for this method.

  Use `SVNRAFileData` to wrap files.

  Parameters:
    `commitPath` - a file path
    `consumer` - an editor that receives the generated dif window(s)
    `workFile` - a working version of the file (target file)
    `baseFile` - a base (prestine) version of the file
  Throws:
    `SVNException` - if an i/o error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.